.woocommerce-notices-wrapper{
	display: none;
}

.product .product__summary .product__title .product__price{
    margin-top: 2.8125rem;
	font-weight: 600;
	transition: all .3s linear;
}

.product .price{
	transition: all .2s linear;
}

.product .product__delivery svg{
	width: 1.625rem;
	height: 1.625rem;
	flex-shrink: 0;
}

.product .product__images{
    width: 100%;
}

.product .product__images .product__image{
    position: relative;
    width: 100%;
    height: 21.25rem;
}

.product .product__images .product__image img{
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 0.625rem;
}

.product .product__images .video-wrapper {
    border-top-left-radius: 0.625rem;
    border-top-right-radius: 0.625rem;
    overflow: hidden;
}

.product .product__images .product-video {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover;
}

/* PRODUCT ACCORDTIONS */
.product .accordion .accordion__item{
	overflow: hidden;
}
.product .accordion .accordion__item + .accordion__item{
    margin-top: 2.5rem;
}
.product .accordion .accordion__top{
    display: flex;
    align-items: center;
    padding-bottom: 1.875rem;
}

.product .accordion .accordion__top .heading-6{
    flex: 1 1 auto;
}

.product .accordion .accordion__top .accordion__switcher{
    width: 1.1875rem;
    height: 1.1875rem;
    stroke: var(--text-dark);
    flex-shrink: 0;
    transition: all .3s linear;
}

.product .accordion .accordion__item.active .accordion__switcher{
    transform: rotate(45deg);
}

.product .accordion .accordion__content {
    height: 0;
	box-sizing: content-box;
	border-bottom: 0.125rem solid #D3D1CB;
}

.product .accordion .accordion__content .accordion__content-wrapper{
    padding-top: 0.125rem;
    padding-bottom: 1.5625rem;
}

.product .accordion .accordion__top{
	padding-bottom: 1.5625rem;
}

/* ATTRIBUTES */
.product .accordion .accordion__item + .accordion__item{
	margin-top: 1.5rem;
}

.product .accordion .accordion__top{
	cursor: pointer;
}

.product__attributes .accordion__item .accordion__top img{
	height: 1.5625rem;
	width: auto;
	margin-right: 1.25rem;
}

.product .accordion.product__attributes .accordion__item.active .accordion__switcher{
	transform: rotate(180deg);
}

.product__attributes .attribute__switcher{
	gap: 1.25rem 1.875rem;
}

.product__attributes .attribute__options-box {
	gap: 1.75rem;
}

.product__attributes .attribute__options-box.hide{
	display: none;
}

.product__attributes .product-attribute .accordion__content-wrapper{
	gap: 1.25rem;
}

.product__attributes .attribute__options{
	display: flex;
	flex-wrap: wrap;
	gap: 1.25rem 1.5rem;
}

.product__attributes .attribute__options:has(.form__radio-button.form__radio-button--color){
	gap: 0.9375rem;
}

.product__attributes .attribute__options label{
	line-height: 120%;
}

/* ADD TO CART */
.product__add-to-cart{
	gap: 0.6875rem
}

.product__add-to-cart .custom-qty{
	flex: 1 1 auto;
	margin-top: 0px;
	width: auto;
}

.product__add-to-cart .custom-qty,
.product__add-to-cart .btn{
	height: 4rem;
}

.product__add-to-cart .custom-qty button{
	width: auto;
	flex: 1 1 auto;
}

.product__add-to-cart .btn{
	padding-top: 0px;
	padding-bottom: 0px;
}

/* BOTTOM BAR */
.product-bottom-bar{
	position: fixed;
	left: 0.9375rem;
	right: 0.9375rem;
	bottom: 5.9375rem;
	border-radius: 0.3125rem;
	
	background-color: var(--color-white-background, #FBF9F4);
	padding: 0.625rem 0.9375rem;
	transform: translate(0, 50%);
	opacity: 0;
	visibility: hidden;
	z-index: 20;
	transition: all .3s linear;
}

.product-bottom-bar.show{
	opacity: 1;
	transform: translate(0, 0);
	visibility: visible;
}

.product-bottom-bar .bar__name{
	gap: 0.9375rem;
}

.product-bottom-bar .bar__name img{
	height: 3.4375rem;
	width: 2.75rem;
	flex-shrink: 0;
	object-fit: cover; 
	border-radius: 0.3125rem;
}

.product-bottom-bar .btn{
	height: 5.5rem;
	padding-top: 0px;
	padding-bottom: 0px;
}

.product__attributes .attribute__option-text{
	white-space: pre;
	display: none;
	margin-top: 1.5625rem;
}

.product__attributes .attribute__option-text.show{
	display: block;
}

.product__attributes .attribute__sizes-table{
	margin-top: 1.5625rem;
	color: var(--text-dark);
	text-decoration: underline;
	cursor: pointer;
	transition: all .3s linear;
}

.product__attributes .attribute__sizes-table:hover,
.product__attributes .attribute__sizes-table:focus{
	color: var(--light-brown);
}

.attribute__sizes-table-popup .popup__body{
	padding: 1.25rem;
	border-radius: 0.625rem;
}

.attribute__sizes-table-popup table{
	border-collapse: collapse;
}
.attribute__sizes-table-popup table td{
	padding: .75em 1.25em;
	border: 1px solid var(--text-dark);
}

@media screen and (max-width: 959px){
	.mobile-bar{
		transition: all .3s linear;
	}
	.mobile-bar:not(.show){
		transform: translate(0, 100%);
		opacity: 0;
		visibility: hidden;
	}
	
	.product{
		padding-left: 0px;
		padding-right: 0px;
	}
	.product .product__images,
	.product .product__title,
	.product .product__add-to-cart,
	.product .accordion .accordion__item
	{
	    padding-left: 1rem;
		padding-right: 1rem;
	}
	
	.product .product__images{
		order: 0;
		margin-bottom: 2.1875rem;
	}
	
	.product .product__images .swiper-button.swiper-button-next{
		right: 1.875rem;
	}
	
	.product .product__images .swiper-button.swiper-button-prev{
		left: 1.875rem;
	}
	
	.product .product__summary{
		order: 1;
	}
	
	.product .product__adding-form{
		order: 2;
		max-width: 100%;
	}
	
	.product .product__adding-form .product__title{
		order: 0; 
	}
	
	.product .product__adding-form .product__title .product__price{
		margin-top: 1.5rem;
		margin-bottom: 2.1875rem;
	}
	
	.product .product__adding-form .product__add-to-cart{
		order: 1;
		margin-bottom: 3.125rem;
	}
	
	.product .product__adding-form .product__attributes {
		width: 100%;
		order: 2;
	}
	
	.product .product__adding-form .product__info {
		order: 3;
		margin-top: 3.375rem;
	}
	
	.product__add-to-cart .custom-qty{
		padding-left: 0.875rem;
		padding-right: 0.875rem;
	}
	
	.product-bottom-bar .btn{
		width: 3rem;
		height: 3rem;
		flex-shrink:0;
		display: flex; 
		align-items: center;
		justify-content: center;
		padding: 0px;
	}
	
	.product-bottom-bar .btn svg{
		width: 1.3125rem;
		height: 1.3125rem;
		stroke: var(--color-white-background, #FBF9F4);
	}
	
	.product-bottom-bar .bar__product-price{
		margin-top: 0.25rem;
	}
	
		.product__attributes .attribute__options{
		gap: 0.9375rem;
	}
	
}

/* INDIVIDUAL FORM */
.product-individual .popup__container{
	padding: 0;
}

.product-individual .popup__body{ 
	padding: 2.1875rem 1.5625rem;
	flex-direction: column;
	overflow-y:auto;
}

.product-individual .individual__left{
	width: 100%;
	height: auto;
	gap: 3.75rem;
}

.product-individual .individual__right{
	width: 100%;
	gap: 1.375rem;
	margin-bottom: 
}

.product-individual .individual__right .individual__cart{
	flex: 1 1 auto;
	
	padding: 0.9375rem;
	border: 0.125rem solid #D3D1CB;
	border-radius: 0.625rem;
}

.product-individual .individual__right .individual__cart .custom-mini-cart-item{
	margin-top: 0px;
}

.product-individual .form-steps .individual__sizes .form__fields .form__row{
	gap: 1.5625rem;
}

.product-individual .individual__sizes .form__row .row__fields{
	gap: 1.5625rem;
}

.product-individual .individual__sizes .row__fields .form__field{
	flex: 0 0 calc(50% - 0.78125rem);
	display: flex;
	justify-content: space-between;
	align-items: flex-end;
	padding-bottom: 1.25rem;
	border-bottom: 0.125rem solid #C2C0B9;
}

.product-individual .individual__sizes .row__fields .form__field input{
	padding-bottom: 0px;
}

.product-individual .individual__sizes .row__fields .form__field input,
.product-individual .individual__sizes .row__fields .form__field span{
	font-size: 1rem;
}

.product-individual .individual__sizes .row__fields .custom-qty{
	margin-top: 0px;
	flex: 0 0 auto;
}

.product-individual .form-steps .form-step__btn--next,
.product-individual .form-steps .form-step__btn-submit{
	flex: 1 1 100%;
	padding-left: 0px;
	padding-right: 0px;
}

.product-individual .contact-method__options{
	gap: 0.625rem;
}
.product-individual .contact-method__options .contact-method__option{
	flex: 0 0 calc(50% - 0.3125rem);
	display: flex;
	align-items: center;
	justify-content: center;
	padding: 1rem 0px;
	gap: 0.625rem;
	font-size: 1rem;
	border: 0.125rem solid #C2C0B9;
	border-radius: 0.3125rem;
	color: #C2C0B9;
	transition: all .3s linear;
}
.product-individual .contact-method__options .contact-method__option::before{
	display: none;
}
.product-individual .contact-method__options .contact-method__option:has(input[type="radio"]:checked){
	background-color: var(--text-dark);
	color: #fff;
	border-color: var(--text-dark);
}
.product-individual .contact-method__options .contact-method__option.contact-method__option--telegram:has(input[type="radio"]:checked){
	background-color: #27A7E7;
	border-color: #27A7E7;
}
.product-individual .contact-method__options .contact-method__option.contact-method__option--viber:has(input[type="radio"]:checked){
	background-color: #7360f2;
	border-color: #7360f2;
}
.product-individual .contact-method__options .contact-method__option svg{
	height: 1.25rem;
	width: auto;
	fill: #C2C0B9;
	transition: all .3s linear;
}
.product-individual .contact-method__options .contact-method__option:has(input[type="radio"]:checked) svg{
	fill: #fff;
}
@media screen and (max-width: 959px){
	.product-individual .individual__right{
		margin-bottom: 2.8125rem;
	}
	
	.product-individual .individual__right .popup__close{
		margin-bottom: 0px;
		align-self: center;
	}
	
	.product-individual .individual__right .heading-5{
		width: 15.3125rem;
	}
	
	.product-individual .individual__sizes .form__row .row__fields{
		flex-wrap: wrap;
	}
	
	.product-individual .form-steps .form-steps__steps{
		gap: 0.9375rem;
	}
	
	.product-individual .form-steps .form-steps__steps .step{
		gap: 0.625rem;
	}
	
	.product-individual .contact-method__options{
		flex-wrap: wrap;
	}
	
	.product-individual .contact-method__options .contact-method__option:last-of-type{
		flex: 1 1 100%;
	}
	
	.product .product__images .video-wrapper {
		border-radius: 0.625rem;
	}
}
@media screen and (min-width: 960px){
	.product .product__summary,
	.product .product__adding-form{
		position: sticky;
		top: 7.8125rem;
		padding-bottom: 1.5625rem;
		min-height: calc(100vh - 7.8125rem);
	}

	.product .product__summary{
		flex: 0 0 31.625rem;
		gap: 2rem;
		padding-right: 3.625rem;
	}
	
	.product .product__adding-form{
		flex: 0 0 33.875rem;
		height: calc(100vh - 7.8125rem);
	}
	
	.product .product__adding-form form{
		height: 100%;
		justify-content: space-between;
	}
	
	.product .product__adding-form:not(.is-bedding) form{
		justify-content: flex-end;
	}
	
	.product .product__adding-form .product__add-to-cart,
	.product .product__adding-form .product__attributes .accordion__item{
		padding-left: 3.625rem;
	}
	
	.product .product__images{
		flex: 1 1 100%;
	}
	
	.product .product__images.swiper-container .swiper .product__images-wrapper{
		flex-direction: column;
	}
	
	.product .product__images .product__image{
		height: 51.6875rem;
	}
	
	.product .product__images .product__image img{
		border-radius: 0px;
	}
	
	.product .product__images .product__image:first-of-type img{
		border-top-left-radius: 0.625rem;
		border-top-right-radius: 0.625rem;
	}

	.product .product__images .product__image:last-of-type img{
		border-bottom-left-radius: 0.625rem;
		border-bottom-right-radius: 0.625rem;
	}
	
	.product .product__adding-form form{
		gap: 2.8125rem;
	}
	
	.product__add-to-cart .custom-qty, 
	.product__add-to-cart .btn {
		height: 5.5rem;
	}
	
	.product__attributes .attribute__options-box {
		gap: 2.5rem;
	}
	
	.product__attributes .product-attribute .accordion__content-wrapper{
		gap: 1.75rem;
	}
	
	.product .accordion .accordion__item + .accordion__item{
		margin-top: 1.5625rem;
	}

	.product__attributes .accordion__item .accordion__top img{
		height: 1.5625rem;
		width: auto;
		margin-right: 1.25rem;
	}
	
	.product__attributes .attribute__options:has(.form__radio-button.form__radio-button--color){
		gap: 1.5625rem;
	}
	
	.product-bottom-bar{
		left: 1.5625rem;
		right: 1.5625rem;
		bottom: 1.5625rem;
		border-radius: 0.3125rem;

		background-color: var(--color-white-background, #FBF9F4);
		padding: 0.3125rem 0.3125rem 0.3125rem 1.5625rem;
	}

	.product-bottom-bar .bar__name{
		gap: 1.5625rem;
	}

	.product-bottom-bar .bar__name img{
		height: 4.875rem;
		width: 3.875rem;
	}

	.product-bottom-bar .btn{
		height: 5.5rem;
	}
	
	.product__attributes .attribute__sizes-table{ 
		margin-top: 2.1875rem;
	}
	
	.product-individual .popup__container{
	padding: 4.0625rem;
}

.product-individual .popup__body{
	border-radius: 0.625rem; 
	padding: 2.5rem;
	flex-direction: row-reverse;
	overflow: hidden;
}

.product-individual .individual__left{
	width: 55.9375rem;
	height: 100%;
	overflow-y: auto;
	gap: 3.75rem;
}

.product-individual .individual__left .heading-5{
	width: 20.125rem;
}

.product-individual .individual__right{
	width: 39.6875rem;
	gap: 1.375rem;
}

.product-individual .individual__right .individual__cart{
	flex: 1 1 auto;
	
	padding: 2.5rem;
	border: 0.125rem solid #D3D1CB;
	border-radius: 0.625rem;
}

.product-individual .individual__right .individual__cart .custom-mini-cart-item{
	margin-top: 0px;
}

.product-individual .form-steps .individual__sizes .form__fields .form__row{
	gap: 0.6875rem;
}

.product-individual .individual__sizes .form__row .row__fields{
	gap: 1.5625rem;
}

.product-individual .individual__sizes .row__fields .form__field{
	flex: 1 1 100%;
	padding-bottom: 1.25rem;
}

.product-individual .individual__sizes .row__fields .form__field + .form__field{
	margin-left: 2.1875rem;
}

.product-individual .individual__sizes .row__fields .form__field input{
	padding-bottom: 0px;
}

.product-individual .individual__sizes .row__fields .form__field input,
.product-individual .individual__sizes .row__fields .form__field span{
	font-size: 1.5rem;
}

.product-individual .individual__sizes .row__fields .custom-qty{
	margin-top: 0px;
	flex: 0 0 auto;
}

.product-individual .form-steps .individual__sizes .form__radio-group{
	margin-top: 1.6875rem;
}

.product-individual .contact-method__options{
	gap: 0.625rem;
}
.product-individual .contact-method__options .contact-method__option{
	flex: 1 1 100%;
	padding: 1.75rem 0px;
	gap: 0.625rem;
	font-size: 1.5rem;
}
.product-individual .contact-method__options .contact-method__option svg{
	height: 1.25rem;
}
}

.product-individual input::placeholder {
  color: #999; 
  transition: color 0.3s;
}

.product-individual input.woocommerce-invalid::placeholder,
.product-individual input.woocommerce-invalid-required-field::placeholder {
  color: #a00;
}

.product-individual .form__row p.woocommerce-invalid,
.product-individual .form__row p.woocommerce-invalid-required-field {
  color: #a00; 
}

